Runtime

## org.eclipse.gmf.runtime.diagram.core.listener
Interface NotificationListener

    public interface NotificationListener

Defines an EMF `Notification` listener; any class interested in listening to post-commit events from the `DiagramEventBroker` which implements this interface. The notifyChanged method will get called by the `DiagramEventBroker#handleElementEvent(Notification)`

Method Summary
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` Will be called when a Notification event gets sent from the DiagramEventBroker after the transaction has been closed.

Method Detail

### notifyChanged

    void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Will be called when a Notification event gets sent from the DiagramEventBroker after the transaction has been closed.

  Parameters:
    `notification` - the notification object

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.